Part: Slice

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Slice and the translation is 62% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Part SliceApart.svg Slice a part
Next: XOR Part XOR.png Arrow-right.svg

Part Slice.svg Part Slice

Menu location
Part → Split → Slice
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Boolean Fragments, Part XOR, Join features, Part Booleans


Descriere

Este un instrument pentru a împărți forme prin intersecția cu alte forme. De exemplu, pentru o cutie și un plan, este creat un compus de două solide.

Part Slice Demo.png

(on the picture above, the pieces were moved apart manually afterwards, to reveal the slicing)

There are two commands to slice a shape: Slice apart and Slice to compound. They both create Slice parametric feature, that puts the sliced pieces into a compound, but "Slice apart" explodes the resulting compound into separate objects. "Slice to compound" is fully-parametric, and causes no trouble as the number of pieces changes. "Slice apart" will not update the number of objects as the number of pieces changes.

The output shape occupies the same space as the original. But it is split where it intersects with other shapes. The split pieces are put into a compound (or compsolid), so the object appears to remain in one piece. You need to explode the compound to get the individual pieces. If you want to access the individual pieces in a parametric way you can use Part CompoundFilter for the purpose. For quick non parametric access use Draft Downgrade.

The tool has three modes: "Standard", "Split", and "CompSolid".

"Standard" and "Split" differ by the action of the tool on wires, shells and compsolids: if "Split", those are separated; if "Standard", they are kept together (get extra segments).

Compounding structure in "Standard" and "Split" modes follows the compounding structure of shape being sliced.

In "CompSolid" mode, the output is a compsolid (or a compound of compsolids, if the resulting solids form more than one island of connectedness). Compsolid is a set of solids connected by faces; they are related to solids like wires are related to edges, and shells are related to faces; the name is probably a shortened phrase "composite solid".

The overall action of the tool is very similar to Boolean Fragments, except only the pieces from the first shape are in the result.

Cu se folosește

  1. Select the object to be sliced, first, and then some objects to slice with.
    The order of selection is important. Compounds with self-intersections are not allowed (self-intersections sometimes can be accounted for by passing the compound through BooleanFragments)
  2. Invoke the Part Slice command.
  1. Noteː The Objects to slice with must completely separate the object to be sliced. Thus a cube cannot be sliced by a wire , but by a plane derived from an extruded wire for instance.

A Slice parametric object is created. Original objects are hidden, and the result of intersection is shown in 3D view.

Tree structure of Slice

The Slice command creates a sliced object. In the following example a cube is sliced by a face.

The slice is created and each piece of it is united in a Compound.

Part SliceTree.png

Proprietăți

Slice

  • DATABase: Object to be sliced.
  • DATATools: List of objects to slice with. (as of FreeCAD v0.17.8053, this property is not displayed in property editor, and can only be accessed via Python).
  • DATAMode: "Standard", "Split", or "CompSolid". "Split" is default. Standard and Split differ by the action of the tool on aggregation type shapes: if Split, those are separated; otherwise they are kept together (get extra segments).
  • DATATolerance: "fuzziness" value. This is an extra tolerance to apply when searching for intersections, in addition to tolerances stored in the input shapes.


̈# Noteː Properties are accessible on the slices inner object, not on the result level.

Exemple: making puzzle

  1. Switch to Sketcher Workbench, create an new sketch. Draw a rectangle that will outline the overall shape of the puzzle. Close the sketch.
    Slice example step1.png
  2. Switch to Part workbench. Select the sketch, and pick Part->Create face from sketch (in menu).
    Slice example step2.png
  3. Switch to Sketcher workbench, and create another sketch on the same plane. Using polyline tool, draw the lines that will split the puzzle into pieces.
    Slice example step3.png
  4. Switch to Part workbench. Select the splitter sketch, and apply Part Boolean Fragments. This will insert vertices where lines of splitter sketch intersect. Having them is essential for the next step to work.
    Slice example step4.png
  5. Select the rectangular face, and the BooleanFragments of splitter sketch, and apply Part Split.
    Slice example step5.png
  6. Switch to Draft workbench, and apply Draft Downgrade to the result. You should get all the pieces as "Face00X" in document tree, that can be moved independently. Done!
    Slice example step6.png

Steps 5 and 6 can be done in single click using Part SliceApart

Scrip-Programare

Instrumentul poate fi utilizat în macros și din consola python utilizând următoarea funcție:

BOPTools.SplitFeatures.makeSlice(name)
  • Creates an empty Slice feature. The 'Base' and 'Tools' properties must be assigned explicitly, afterwards.
  • Returns the newly created object.

Slice poate fi, de asemenea, aplicat la forme simple, fără a fi nevoie să aibă un obiect de document, prin:

BOPTools.SplitAPI.slice(base_shape, tool_shapes, mode, tolerance = 0.0)

This can be useful for making custom Python scripted features. Acest lucru poate fi util pentru crearea de funcții(onalități) script-Programare personalizate Python.


Example:

import BOPTools.SplitFeatures
j = BOPTools.SplitFeatures.makeSlice(name= 'Slice')
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Tools = FreeCADGui.Selection.getSelection()[1:]

Instrumentul propriu-zis este implementat în Python, vezi /Mod/Part/BOPTools/SplitFeatures.py unde este instalat FreeCAD.

Versiune

Acest instrument a fost introdus în FreeCAD v0.17.8053. FreeCAD și necesită compilarea cu OCC 6.9.0 sau mai recent; altfel instrumentul este inutilizabil.

Arrow-left.svg Previous: Part SliceApart.svg Slice a part
Next: XOR Part XOR.png Arrow-right.svg